Subject: bug#3430: 23.0.94; cannot enable two minor modes in .dir-locals.el

From: Teemu Likonen <[email-masked]>
Date: Mon, 15 Jun 2009 20:26:28 +0300

On 2009-06-02 22:29 (+0100), Leo wrote:

> On 2009-05-31 15:37 +0100, Leo wrote:
>> Please describe exactly what actions triggered the bug
>> and the precise symptoms of the bug:
>>
>> My LaTeX project setting looks like this:
>>
>> ((latex-mode . ((auto-fill-function . nil)
>>                 (fill-column . 90)
>>                 (mode . outline-minor)
>>                 (mode . longlines)
>>                 (coding . "latin-1"))))
>>
>> i.e. I want to enable two minor modes for all .TeX files among other
>> things.
>>
>> I start with Emacs -q and open a .TeX in that project, only longlines is
>> enabled. Do you think this is a bug? Thank you.
>>
>> This is tested on GNU Emacs 23.0.94.1 (i386-apple-darwin9.7.0, NS
>> apple-appkit-949.46) of 2009-05-23 on 200.sub-75-216-116.myvzw.com
>>
>> Leo
>
> Any comment on this bug? Can you reproduce it? Thank you.

I can reproduce this. Just create a file .dir-locals.el somewhere with
content like this:

    ((nil . ((mode . auto-fill)
             (mode . outline-minor))))

When files in that directory are opened only the last mode
(outline-minor) in the alist is turned on.

A side note: It seems that directory local variables feature is still in
a half-finished shape:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1986
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3572
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3577